\usepackage[T1]{fontenc}
\usepackage[utf8x]{inputenc}
\usepackage[english]{babel}
\usepackage[a4paper,top=2cm,bottom=2cm,left=4cm,right=3cm,includehead,includefoot]{geometry}

\usepackage{listings}
\usepackage[ruled]{algorithm2e}
\usepackage{mathtools}
\usepackage{amsthm}
\usepackage{amsmath}
\usepackage{booktabs}
\usepackage{tabularx}
\usepackage{listings}

\usepackage{hyperref}						% pdfbookmark

\usepackage{lipsum}

\usepackage{setspace}
\usepackage{fancyhdr}						% intestazione e note a pie di pagina

\usepackage{graphicx}
%\usepackage[font = scriptsize, bf]{caption}
%\usepackage{url}

%\usepackage[usenames,dvipsnames]{color}

%\usepackage{setspace}
%\usepackage{eqparbox,array}


%\usepackage[inline]{enumitem}